Bug 462357 - Review Request: rcsslogplayer - RoboCup Soccer Simulator LogPlayer
Summary: Review Request: rcsslogplayer - RoboCup Soccer Simulator LogPlayer
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-09-15 16:41 UTC by Hedayat Vatankhah
Modified: 2008-09-25 00:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-21 11:56:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Hedayat Vatankhah 2008-09-15 16:41:55 UTC
Spec URL: http://www.assembla.com/spaces/hedayat/documents/crdA0CG0qr3B_jab7jnrAJ/download/rcsslogplayer.spec

SRPM URL: http://www.assembla.com/spaces/hedayat/documents/aNUdu0G0ur3z0Tab7jnrAJ/download/rcsslogplayer-12.1.1-1.fc9.src.rpm

Description: 
The RoboCup Soccer Simulator LogPlayer (rcsslogpleyr) is a game log
replay tool for the RoboCup Soccer Simulator Server (rcssserver).

Comment 1 Mamoru TASAKA 2008-09-19 06:14:10 UTC
Rebuild failed:
http://koji.fedoraproject.org/koji/taskinfo?taskID=832977

Note:
You can try to rebuild an arbitrary srpm on koji by the following:
$ koji build --scratch <target> <srpm_you_want_try>
where <target> can be 'dist-f10', 'dist-f9-updates-candidate', 
'dist-f8-updates-candidate' and some specific value.
When the build is successful, the rebuilt rpms and some logs are
saved about one week under
http://koji.fedoraproject.org/scratch/<your_FAS_name>/task_<taskid>/

Comment 2 Hedayat Vatankhah 2008-09-19 08:33:49 UTC
Yes I know, sorry :( 
The package built successfully on my system using mock and I thought that it's enough (unfortunately AFAIK koji cannot get the package from a URL, and uploading a package is a little annoying with slow internet connection and I try to avoid it as far as possible!). I'll check my packages using koji from now on.

Thanks

Comment 3 Mamoru TASAKA 2008-09-19 12:17:27 UTC
%configure --with-qt4-moc=%{_bindir}/moc-qt4 seems happy:
http://koji.fedoraproject.org/koji/taskinfo?taskID=833207

I will check this later.

Comment 4 Hedayat Vatankhah 2008-09-19 15:49:01 UTC
Thanks :)

Comment 5 Mamoru TASAKA 2008-09-19 16:00:59 UTC
For 12.1.1-1:

* License tag
  - Your license analysis is correct.
    Then, you use "License: LGPLv2+ and GPLv2+" as license tag.
    This tag is inherited by all subpackages
    (i.e. rpm -qi rcsslogplayer-devel shows this license tag).

    So you have to write explicitly "License: LGPLv2+" in
    -devel subpackage.

* Build Failure
  - As said above, please use
--------------------------------------------------
%configure --with-qt4-moc=%{_bindir}/moc-qt4
--------------------------------------------------
    to fix build failure (successful build:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=833207 )

* Desktop file
--------------------------------------------------
  1572  + desktop-file-install --vendor=fedora --dir=/builddir/build/BUILDROOT/rcsslogplayer-12.1.1-1.1.fc10.i386//usr/share/applications /builddir/build/SOURCES/rcsslogplayer.desktop
  1573  /builddir/build/SOURCES/rcsslogplayer.desktop: key "Categories" is a list and does not have a semicolon as trailing character, fixing
--------------------------------------------------
  - The category should be:
--------------------------------------------------
Categories=Education;Science;Robotics;
--------------------------------------------------

+ build successful with modification
+ spec description good
+ tarball matches upstream
+ can be installed
+ seems to work

----------------------------------------------------------
   This package (rcsslogplayer) is APPROVED by mtasaka
----------------------------------------------------------

Comment 6 Hedayat Vatankhah 2008-09-20 18:40:28 UTC
Thanks a lot

New Package CVS Request
=======================
Package Name: rcsslogplayer
Short Description: RoboCup Soccer Simulator LogPlayer
Owners: hedayat
Branches: F-8 F-9
Cvsextras Commits: yes

Comment 7 Kevin Fenzi 2008-09-21 00:27:58 UTC
cvs done.

Comment 8 Hedayat Vatankhah 2008-09-21 11:56:36 UTC
Removed F-8 branch as Qt4 is not supported there. Built for devel/ and F-9 branches

Comment 9 Fedora Update System 2008-09-21 11:57:43 UTC
rcsslogplayer-12.1.1-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rcsslogplayer-12.1.1-2.fc9

Comment 10 Mamoru TASAKA 2008-09-21 12:28:28 UTC
(In reply to comment #8)
> Removed F-8 branch as Qt4 is not supported there. Built for devel/ and F-9
> branches

Well, I didn't notich this issue during review request, however 
I guess just replacing "qt-devel" with "qt4-devel" will be sufficient
for F-8.
[tasaka1@localhost SOURCES]$ koji latest-pkg dist-f8-build qt4
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
qt4-4.4.0-16.fc8                          dist-f8-override      kkofler

Note 1:
When resubmitting F-8 build, please make it sure that F-8 EVR (Epoch-Version-Release)
value is lower than F-9/F-10 EVR value. If you want to fix F-8 spec file only,
you can use 2%{?dist}.1 release number, for example (2.fc8.1 < 2.fc9):
https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Minor_release_bumps_for_old_branches

Note 2:
You can use "BuildRequires: qt4-devel" even on F-9/F-10 because on F-9/10 qt-devel Provides
qt4-devel
[tasaka1@localhost SOURCES]$ rpm -q --provides qt-devel | grep qt4-devel
qt4-devel = 4.4.1-3.fc10

You can modify spec file to use this BuildRequires from next time if
you want.

Comment 11 Hedayat Vatankhah 2008-09-21 18:15:31 UTC
Thanks :) I decided to go for the first solution.

Comment 12 Fedora Update System 2008-09-21 18:22:51 UTC
rcsslogplayer-12.1.1-2.fc8.1 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/rcsslogplayer-12.1.1-2.fc8.1

Comment 13 Mamoru TASAKA 2008-09-22 04:06:19 UTC
Okay, thanks.

Comment 14 Fedora Update System 2008-09-25 00:08:25 UTC
rcsslogplayer-12.1.1-2.fc8.1 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2008-09-25 00:19:38 UTC
rcsslogplayer-12.1.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.